﻿using System;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace Zzz.State
{
    public class ZzzState
    {
        #region Public Enums, Properties and Fields

        [JsonConverter(typeof(StringEnumConverter))]
        public State State { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public ZzzState()
        {
        }

        public ZzzState(State state) : this()
        {
            State = state;
        }

        public ZzzState(string state) : this()
        {
            if (!Enum.TryParse<State>(state, out var sleepState))
            {
                return;
            }

            State = sleepState;
        }

        #endregion
    }
}